# Generated from chef-sugar-ng-5.1.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name chef-sugar-ng

Name: rubygem-%{gem_name}
Version: 5.1.12
Release: 1%{?dist}
Summary: A collection of helper methods and modules that make working with Chef recipes awesome
License: Apache-2.0
URL: https://github.com/chef/chef-sugar
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
BuildArch: noarch

%description
A series of helpful sugar of the Chef core and other resources to make a
cleaner, more lean recipe DSL, enforce DRY principles, and make writing Chef
recipes an awesome experience!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 5.1.12-1
- Initial package
